# Deprecated Interface for Multiple Sequence Alignment Utilities

  Typedefs

  typedef struct vrna_pinfo_s pair_info
    #include <ViennaRNA/utils/alignments.h>

    Old typename of vrna_pinfo_s.

    Deprecated:

      Use vrna_pinfo_t instead!

  Functions

  int read_clustal(FILE *clust, char *AlignedSeqs[], char *names[])
    #include <ViennaRNA/utils/alignments.h>
  char *consensus(const char *AS[])
    #include <ViennaRNA/utils/alignments.h>
  char *consens_mis(const char *AS[])
    #include <ViennaRNA/utils/alignments.h>
  char *get_ungapped_sequence(const char *seq)
    #include <ViennaRNA/utils/alignments.h>
  int get_mpi(char *Alseq[], int n_seq, int length, int *mini)
    #include <ViennaRNA/utils/alignments.h>

    Get the mean pairwise identity in steps from ?to?(ident)

    Deprecated:

      Use vrna_aln_mpi() as a replacement

    Parameters:

      - Alseq –

      - n_seq – The number of sequences in the alignment

      - length – The length of the alignment

      - mini –

    Returns:

      The mean pairwise identity

  void encode_ali_sequence(const char *sequence, short *S, short *s5, short *s3, char *ss, unsigned short *as, int circ)
    #include <ViennaRNA/utils/alignments.h>

    Get arrays with encoded sequence of the alignment.

    this function assumes that in S, S5, s3, ss and as enough space is already allocated (size must be at least sequence length+2)

    Parameters:

      - sequence – The gapped sequence from the alignment

      - S – pointer to an array that holds encoded sequence

      - s5 – pointer to an array that holds the next base 5’ of alignment position i

      - s3 – pointer to an array that holds the next base 3’ of alignment position i

      - ss –

      - as –

      - circ – assume the molecules to be circular instead of linear (circ=0)

  void alloc_sequence_arrays(const char **sequences, short ***S, short ***S5, short ***S3, unsigned short ***a2s, char ***Ss, int circ)
    #include <ViennaRNA/utils/alignments.h>

    Allocate memory for sequence array used to deal with aligned sequences.

    Note that these arrays will also be initialized according to the sequence alignment given

    See also

    free_sequence_arrays()

    Parameters:

      - sequences – The aligned sequences

      - S – A pointer to the array of encoded sequences

      - S5 – A pointer to the array that contains the next 5’ nucleotide of a sequence position

      - S3 – A pointer to the array that contains the next 3’ nucleotide of a sequence position

      - a2s – A pointer to the array that contains the alignment to sequence position mapping

      - Ss – A pointer to the array that contains the ungapped sequence

      - circ – assume the molecules to be circular instead of linear (circ=0)

  void free_sequence_arrays(unsigned int n_seq, short ***S, short ***S5, short ***S3, unsigned short ***a2s, char ***Ss)
    #include <ViennaRNA/utils/alignments.h>

    Free the memory of the sequence arrays used to deal with aligned sequences.

    This function frees the memory previously allocated with alloc_sequence_arrays()

    See also

    alloc_sequence_arrays()

    Parameters:

      - n_seq – The number of aligned sequences

      - S – A pointer to the array of encoded sequences

      - S5 – A pointer to the array that contains the next 5’ nucleotide of a sequence position

      - S3 – A pointer to the array that contains the next 3’ nucleotide of a sequence position

      - a2s – A pointer to the array that contains the alignment to sequence position mapping

      - Ss – A pointer to the array that contains the ungapped sequence